## scikit-build-core 0.5.1

=== tests/packages/simplest_c/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15...3.26)

project(
  ${SKBUILD_PROJECT_NAME}
  LANGUAGES C
  VERSION ${SKBUILD_PROJECT_VERSION})

find_package(Python COMPONENTS Interpreter Development.Module)

python_add_library(_module MODULE src/module.c WITH_SOABI)

install(
  TARGETS _module
  DESTINATION ${SKBUILD_PROJECT_NAME}
  COMPONENT PythonModule)

# Testing artifacts
file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/generated.txt "Testing")
install(
  FILES ${CMAKE_CURRENT_BINARY_DIR}/generated.txt
  DESTINATION ${SKBUILD_PROJECT_NAME}
  COMPONENT Generated)

file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/generated_ignored.txt "Testing")
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/generated_ignored.txt
        DESTINATION ${SKBUILD_PROJECT_NAME})

## scikit-build-core 0.6.1

=== debian/changelog ===
scikit-build-core (0.6.1-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Add me as Uploaders.
  * d/control: Add python3-virtualenv as Build Dependency.

 -- Emmanuel Arias <eamanu@debian.org>  Fri, 10 Nov 2023 15:29:05 -0300

scikit-build-core (0.5.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1053489)

 -- Andrius Merkys <merkys@debian.org>  Thu, 05 Oct 2023 07:59:22 -0400

=== debian/control ===
Source: scikit-build-core
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
 Emmanuel Arias <eamanu@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 cmake <!nocheck>,
 debhelper-compat (= 13),
 dh-sequence-python3,
 libpython3-dev <!nocheck>,
 pybind11-dev <!nocheck>,
 pybuild-plugin-pyproject,
 python3-all,
 python3-cattr <!nocheck>,
 python3-hatch-vcs,
 python3-hatchling,
 python3-pyproject-metadata <!nocheck>,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-venv <!nocheck>,
 python3-virtualenv <!nocheck>,
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.6.2
Homepage: https://github.com/scikit-build/scikit-build-core
Vcs-Browser: https://salsa.debian.org/python-team/packages/scikit-build-core
Vcs-Git: https://salsa.debian.org/python-team/packages/scikit-build-core.git

Package: python3-scikit-build-core
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python package build systems and CMake integration (Python 3)
 Scikit-build-core is a ground-up rewrite of Scikit-build, a bridge between
 Python package build systems and CMake.
 .
 This package installs the library for Python 3.

## scikit-build-core 0.7.0

=== tests/packages/abi3_pyproject_ext/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15...3.26)

project(
  ${SKBUILD_PROJECT_NAME}
  LANGUAGES C
  VERSION ${SKBUILD_PROJECT_VERSION})

find_package(
  Python
  COMPONENTS Interpreter Development.SABIModule
  REQUIRED)

python_add_library(abi3_example MODULE abi3_example.c WITH_SOABI USE_SABI 3.7)

install(TARGETS abi3_example DESTINATION .)

=== tests/packages/custom_cmake/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15...3.26)

project(
  ${SKBUILD_PROJECT_NAME}
  LANGUAGES
  VERSION 2.3.4)

find_package(ExamplePkg REQUIRED)

include(ExampleInclude)

if(NOT EXAMPLE_INCLUDE_FOUND)
  message(FATAL_ERROR "ExampleInclude not found")
endif()

# Testing scripts
install(PROGRAMS scripts/script1 DESTINATION "${SKBUILD_SCRIPTS_DIR}")

=== tests/packages/dynamic_metadata/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15...3.25)

project(
  ${SKBUILD_PROJECT_NAME}
  LANGUAGES C
  VERSION ${SKBUILD_PROJECT_VERSION})

find_package(Python COMPONENTS Interpreter Development.Module)
set(Python_SOABI ${SKBUILD_SOABI})

python_add_library(_module MODULE src/module.c WITH_SOABI)

install(TARGETS _module DESTINATION ${SKBUILD_PROJECT_NAME})

=== tests/packages/fortran_example/CMakeLists.txt ===
# setup project ###
cmake_minimum_required(VERSION 3.17.2...3.24)

project(
  fibby
  VERSION 1.0
  DESCRIPTION "FIB module"
  LANGUAGES C Fortran)

find_package(Python REQUIRED COMPONENTS Interpreter Development.Module NumPy)

# Grab the variables from a local Python installation F2PY headers
execute_process(
  COMMAND "${Python_EXECUTABLE}" -c
          "import numpy.f2py; print(numpy.f2py.get_include())"
  OUTPUT_VARIABLE F2PY_INCLUDE_DIR
  OUTPUT_STRIP_TRAILING_WHITESPACE)

# Prepping the module
set(f2py_module_name "fibby")
set(fortran_src_file "${CMAKE_CURRENT_SOURCE_DIR}/fib1.f")
set(f2py_module_c "${f2py_module_name}module.c")

# Target for enforcing dependencies
add_custom_target(genpyf DEPENDS "${fortran_src_file}")
add_custom_command(
  OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/${f2py_module_c}"
  COMMAND ${Python_EXECUTABLE} -m "numpy.f2py" "${fortran_src_file}" -m "fibby"
          --lower # Important
  DEPENDS fib1.f # Fortran source
)

python_add_library(
  ${CMAKE_PROJECT_NAME} MODULE WITH_SOABI "${f2py_module_name}module.c"
  "${F2PY_INCLUDE_DIR}/fortranobject.c" "${fortran_src_file}")

target_include_directories(${CMAKE_PROJECT_NAME} PUBLIC ${F2PY_INCLUDE_DIR})
target_link_libraries(${CMAKE_PROJECT_NAME} PUBLIC Python::NumPy)

add_dependencies(${CMAKE_PROJECT_NAME} genpyf)

install(TARGETS ${CMAKE_PROJECT_NAME} DESTINATION .)

=== tests/packages/sdist_config/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15...3.27)
project(
  sdist_config
  LANGUAGES CXX
  VERSION ${SKBUILD_PROJECT_VERSION})

include(FetchContent)

if(NOT SKBUILD_STATE STREQUAL "sdist"
   AND EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/pybind11/CMakeLists.txt")
  message(STATUS "Using integrated pybind11")
  set(FETCHCONTENT_FULLY_DISCONNECTED ON)
endif()

FetchContent_Declare(
  pybind11
  GIT_REPOSITORY https://github.com/pybind/pybind11.git
  GIT_TAG v2.11.1
  SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/pybind11)

set(PYBIND11_FINDPYTHON ON)
FetchContent_MakeAvailable(pybind11)

pybind11_add_module(sdist_config main.cpp)
install(TARGETS sdist_config DESTINATION .)

# Generation test
include("${CMAKE_CURRENT_BINARY_DIR}/output.cmake")
if(NOT "${MY_VERSION}" STREQUAL "${PROJECT_VERSION}")
  message(FATAL_ERROR "Version mismatch: ${MY_VERSION} != ${PROJECT_VERSION}")
endif()

include("${CMAKE_CURRENT_SOURCE_DIR}/overwrite.cmake")
if(NOT "${MY_NAME}" STREQUAL "${SKBUILD_PROJECT_NAME}")
  message(FATAL_ERROR "Name mismatch: ${MY_NAME} != ${SKBUILD_PROJECT_NAME}")
endif()

=== tests/packages/simplest_c/CMakeLists.txt ===
--- 
+++ 
@@ -14,6 +14,16 @@
   DESTINATION ${SKBUILD_PROJECT_NAME}
   COMPONENT PythonModule)
 
+if("${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}"
+   AND DEFINED SKBUILD)
+  # Editable in-place builds. THe empty generator expression ensures
+  # multi-config enerators keeps us from having to set
+  # LIBRARY_OUTPUT_DIRECTORY_<CONFIG> too.
+  set_target_properties(
+    _module PROPERTIES LIBRARY_OUTPUT_DIRECTORY
+                       "${CMAKE_BINARY_DIR}/src/${SKBUILD_PROJECT_NAME}$<0:>")
+endif()
+
 # Testing artifacts
 file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/generated.txt "Testing")
 install(

=== docs/examples/downstream/nanobind_example/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15...3.26)

project(nanobind_example LANGUAGES CXX)

if(NOT SKBUILD)
  message(
    WARNING
      "\
  This CMake file is meant to be executed using 'scikit-build'. Running
  it directly will almost certainly not produce the desired result. If
  you are a user trying to install this package, please use the command
  below, which will install all necessary build dependencies, compile
  the package in an isolated environment, and then install it.
  =====================================================================
   $ pip install .
  =====================================================================
  If you are a software developer, and this is your own package, then
  it is usually much more efficient to install the build dependencies
  in your environment once and use the following command that avoids
  a costly creation of a new virtual environment at every compilation:
  =====================================================================
   $ pip install nanobind scikit-build-core[pyproject]
   $ pip install --no-build-isolation -ve .
  =====================================================================
  You may optionally add -Ceditable.rebuild=true to auto-rebuild when
  the package is imported. Otherwise, you need to re-run the above
  after editing C++ files.")
endif()

# Try to import all Python components potentially needed by nanobind
find_package(
  Python 3.8 REQUIRED
  COMPONENTS Interpreter Development.Module
  OPTIONAL_COMPONENTS Development.SABIModule)

# Import nanobind through CMake's find_package mechanism
find_package(nanobind CONFIG REQUIRED)

# We are now ready to compile the actual extension module
nanobind_add_module(
  # Name of the extension
  nanobind_example_ext
  # Target the stable ABI for Python 3.12+, which reduces the number of binary
  # wheels that must be built. This does nothing on older Python versions
  STABLE_ABI
  # Build libnanobind statically and merge it into the extension (which itself
  # remains a shared library)
  #
  # If your project builds multiple extensions, you can replace this flag by
  # NB_SHARED to conserve space by reusing a shared libnanobind across libraries
  NB_STATIC
  # Source code goes here
  src/nanobind_example_ext.cpp)

# Install directive for scikit-build-core
install(TARGETS nanobind_example_ext LIBRARY DESTINATION nanobind_example)

=== docs/examples/getting_started/c/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15...3.26)
project(${SKBUILD_PROJECT_NAME} LANGUAGES C)

find_package(
  Python
  COMPONENTS Interpreter Development.Module
  REQUIRED)

python_add_library(example MODULE example.c WITH_SOABI)

install(TARGETS example DESTINATION .)

=== docs/examples/getting_started/cython/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15...3.26)
project(${SKBUILD_PROJECT_NAME} LANGUAGES C)

find_package(
  Python
  COMPONENTS Interpreter Development.Module
  REQUIRED)

find_program(CYTHON "cython")

add_custom_command(
  OUTPUT example.c
  DEPENDS example.pyx
  VERBATIM
  COMMAND "${CYTHON}" "${CMAKE_CURRENT_SOURCE_DIR}/example.pyx" --output-file
          "${CMAKE_CURRENT_BINARY_DIR}/example.c")

python_add_library(example MODULE "${CMAKE_CURRENT_BINARY_DIR}/example.c"
                   WITH_SOABI)

install(TARGETS example DESTINATION .)

=== docs/examples/getting_started/fortran/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.17.2...3.26)
project(${SKBUILD_PROJECT_NAME} LANGUAGES C Fortran)

find_package(
  Python
  COMPONENTS Interpreter Development.Module NumPy
  REQUIRED)

# F2PY headers
execute_process(
  COMMAND "${PYTHON_EXECUTABLE}" -c
          "import numpy.f2py; print(numpy.f2py.get_include())"
  OUTPUT_VARIABLE F2PY_INCLUDE_DIR
  OUTPUT_STRIP_TRAILING_WHITESPACE)

add_library(fortranobject OBJECT "${F2PY_INCLUDE_DIR}/fortranobject.c")
target_link_libraries(fortranobject PUBLIC Python::NumPy)
target_include_directories(fortranobject PUBLIC "${F2PY_INCLUDE_DIR}")
set_property(TARGET fortranobject PROPERTY POSITION_INDEPENDENT_CODE ON)

add_custom_command(
  OUTPUT examplemodule.c example-f2pywrappers.f
  DEPENDS example.f
  VERBATIM
  COMMAND "${Python_EXECUTABLE}" -m numpy.f2py
          "${CMAKE_CURRENT_SOURCE_DIR}/example.f" -m example --lower)

python_add_library(example MODULE "${CMAKE_CURRENT_BINARY_DIR}/examplemodule.c"
                   "${CMAKE_CURRENT_SOURCE_DIR}/example.f" WITH_SOABI)
target_link_libraries(example PRIVATE fortranobject)

install(TARGETS example DESTINATION .)

=== tests/packages/cython_pxd_editable/pkg1/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15)
project(${SKBUILD_PROJECT_NAME} LANGUAGES C)

find_package(
  Python
  COMPONENTS Interpreter Development.Module
  REQUIRED)

find_program(CYTHON "cython")

add_custom_command(
  OUTPUT src/pkg1/one.c
  DEPENDS src/pkg1/one.pyx
  VERBATIM
  COMMAND "${CYTHON}" "${CMAKE_CURRENT_SOURCE_DIR}/src/pkg1/one.pyx"
          --output-file "${CMAKE_CURRENT_BINARY_DIR}/src/pkg1/one.c")

python_add_library(one MODULE "${CMAKE_CURRENT_BINARY_DIR}/src/pkg1/one.c"
                   WITH_SOABI)

install(TARGETS one DESTINATION pkg1/)

=== debian/changelog ===
scikit-build-core (0.7.0-1) unstable; urgency=medium

  * New upstream version.
  * d/control: Remove Andrius Merkys from Uploaders (Closes: #1058722).
  * d/control: Remove libpython3-dev as B-Depends (Closes: #1058395, #1056528).
    - Use python3-all-dev instead of python3-dev.
  * wrap-and-sort.
  * d/salsa-ci.yml: Enable salsa ci.
  * d/gbp.conf: Set debian/untable as default Debian branch.

 -- Emmanuel Arias <eamanu@debian.org>  Wed, 13 Dec 2023 10:25:48 -0300

=== debian/control ===
Source: scikit-build-core
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Emmanuel Arias <eamanu@debian.org>,
Rules-Requires-Root: no
Build-Depends: cmake <!nocheck>,
               debhelper-compat (= 13),
               dh-sequence-python3,
               pybind11-dev <!nocheck>,
               pybuild-plugin-pyproject,
               python3-all-dev,
               python3-cattr <!nocheck>,
               python3-hatch-vcs,
               python3-hatchling,
               python3-pyproject-metadata <!nocheck>,
               python3-pytest <!nocheck>,
               python3-setuptools,
               python3-venv <!nocheck>,
               python3-virtualenv <!nocheck>,
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.6.2
Homepage: https://github.com/scikit-build/scikit-build-core
Vcs-Browser: https://salsa.debian.org/python-team/packages/scikit-build-core
Vcs-Git: https://salsa.debian.org/python-team/packages/scikit-build-core.git

Package: python3-scikit-build-core
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${python3:Depends},
Description: Python package build systems and CMake integration (Python 3)
 Scikit-build-core is a ground-up rewrite of Scikit-build, a bridge between
 Python package build systems and CMake.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = scikit-build-core
export PYBUILD_SYSTEM = pyproject
export PYBUILD_TEST_ARGS = -k 'not network and not test_cmake_config and not test_get_requires and not test_prepare_metadata and not test_program_search and not test_setuptools_abi3 and not test_setuptools_pep517'

export http_proxy = 127.0.0.1
export https_proxy = 127.0.0.1

%:
	dh $@ --buildsystem pybuild

## scikit-build-core 0.8.1

=== tests/packages/navigate_editable/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15...3.26)

project(
  ${SKBUILD_PROJECT_NAME}
  LANGUAGES C
  VERSION ${SKBUILD_PROJECT_VERSION})

find_package(Python COMPONENTS Interpreter Development.Module)

python_add_library(c_module MODULE src/shared_pkg/c_module.c WITH_SOABI)

set(CMakeVar "Some_value_C")
configure_file(src/shared_pkg/data/generated.txt.in
               shared_pkg/data/c_generated.txt)

install(
  TARGETS c_module
  DESTINATION shared_pkg/
  COMPONENT PythonModule)
install(FILES ${PROJECT_BINARY_DIR}/shared_pkg/data/c_generated.txt
        DESTINATION shared_pkg/data/)

=== tests/packages/cython_pxd_editable/pkg2/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15)
project(${SKBUILD_PROJECT_NAME} LANGUAGES C)

find_package(
  Python
  COMPONENTS Interpreter Development.Module
  REQUIRED)

find_program(CYTHON "cython")

add_custom_command(
  OUTPUT src/pkg2/two.c
  DEPENDS src/pkg2/two.pyx
  VERBATIM
  COMMAND "${CYTHON}" "${CMAKE_CURRENT_SOURCE_DIR}/src/pkg2/two.pyx"
          --output-file "${CMAKE_CURRENT_BINARY_DIR}/src/pkg2/two.c")

python_add_library(two MODULE "${CMAKE_CURRENT_BINARY_DIR}/src/pkg2/two.c"
                   WITH_SOABI)

install(TARGETS two DESTINATION pkg2/)

=== debian/changelog ===
scikit-build-core (0.8.1-1) unstable; urgency=medium

  * New upstream version.

 -- Emmanuel Arias <eamanu@debian.org>  Fri, 16 Feb 2024 16:13:48 -0300

scikit-build-core (0.8.0-1) unstable; urgency=medium

  * New upstream version.

 -- Emmanuel Arias <eamanu@debian.org>  Sun, 11 Feb 2024 21:19:14 -0300

## scikit-build-core 0.9.3

=== tests/packages/cython_pxd_editable/pkg1/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15)
project(${SKBUILD_PROJECT_NAME} LANGUAGES C)

find_package(
  Python
  COMPONENTS Interpreter Development.Module
  REQUIRED)

add_custom_command(
  OUTPUT src/pkg1/one.c
  DEPENDS src/pkg1/one.pyx
  VERBATIM
  COMMAND
    Python::Interpreter -m cython
    "${CMAKE_CURRENT_SOURCE_DIR}/src/pkg1/one.pyx" --output-file
    "${CMAKE_CURRENT_BINARY_DIR}/src/pkg1/one.c")

python_add_library(one MODULE "${CMAKE_CURRENT_BINARY_DIR}/src/pkg1/one.c"
                   WITH_SOABI)

install(TARGETS one DESTINATION pkg1/)

=== tests/packages/cython_pxd_editable/pkg2/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15)
project(${SKBUILD_PROJECT_NAME} LANGUAGES C)

find_package(
  Python
  COMPONENTS Interpreter Development.Module
  REQUIRED)

add_custom_command(
  OUTPUT src/pkg2/two.c
  DEPENDS src/pkg2/two.pyx
  VERBATIM
  COMMAND
    Python::Interpreter -m cython
    "${CMAKE_CURRENT_SOURCE_DIR}/src/pkg2/two.pyx" --output-file
    "${CMAKE_CURRENT_BINARY_DIR}/src/pkg2/two.c")

python_add_library(two MODULE "${CMAKE_CURRENT_BINARY_DIR}/src/pkg2/two.c"
                   WITH_SOABI)

install(TARGETS two DESTINATION pkg2/)

=== debian/changelog ===
scikit-build-core (0.9.3-1) unstable; urgency=medium

  * New upstream version.

 -- Emmanuel Arias <eamanu@debian.org>  Wed, 01 May 2024 16:09:19 -0300

scikit-build-core (0.9.2-1) unstable; urgency=medium

  * New upstream version.
  * d/control: Bump Standards-Version to 4.7.0 (from 4.6.2; no further changes
    needed).
  * d/copyright: Add copyright entry for
    src/sckit_build_core/_vendor/pyproject_metadata/* files.
  * d/rules: Ignore test_pep517_sdist_hash test, it fails in
    autopkgtest.

 -- Emmanuel Arias <eamanu@debian.org>  Fri, 26 Apr 2024 14:20:02 -0300

scikit-build-core (0.8.2-2) unstable; urgency=medium

  * Team upload.
  * python3-scikit-build-core Depends: python3-pyproject-metadata
    (>= 0.5~), python3-pathspec (>=0.10.1~). Closes: #1068661
  * Build-Depends: python3-fastjsonschema, python3-numpy <!nocheck>

 -- Drew Parsons <dparsons@debian.org>  Sat, 13 Apr 2024 19:33:09 +0200

scikit-build-core (0.8.2-1) unstable; urgency=medium

  * New upstream version.

 -- Emmanuel Arias <eamanu@debian.org>  Sun, 10 Mar 2024 18:14:20 -0300

=== debian/control ===
--- 
+++ 
@@ -11,15 +11,17 @@
                pybuild-plugin-pyproject,
                python3-all-dev,
                python3-cattr <!nocheck>,
+               python3-fastjsonschema <!nocheck>,
                python3-hatch-vcs,
                python3-hatchling,
+               python3-numpy <!nocheck>,
                python3-pyproject-metadata <!nocheck>,
                python3-pytest <!nocheck>,
                python3-setuptools,
                python3-venv <!nocheck>,
                python3-virtualenv <!nocheck>,
 Testsuite: autopkgtest-pkg-pybuild
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/scikit-build/scikit-build-core
 Vcs-Browser: https://salsa.debian.org/python-team/packages/scikit-build-core
 Vcs-Git: https://salsa.debian.org/python-team/packages/scikit-build-core.git
@@ -29,6 +31,9 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${python3:Depends},
+         ${python3:Depends},
+         python3-pyproject-metadata (>= 0.5~),
+         python3-pathspec (>=0.10.1~)
 Description: Python package build systems and CMake integration (Python 3)
  Scikit-build-core is a ground-up rewrite of Scikit-build, a bridge between
  Python package build systems and CMake.

## scikit-build-core 0.9.4

=== tests/packages/cython_pxd_editable/pkg1/CMakeLists.txt ===
--- 
+++ 
@@ -7,8 +7,8 @@
   REQUIRED)
 
 add_custom_command(
-  OUTPUT src/pkg1/one.c
-  DEPENDS src/pkg1/one.pyx
+  OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/src/pkg1/one.c"
+  DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/src/pkg1/one.pyx"
   VERBATIM
   COMMAND
     Python::Interpreter -m cython

=== debian/changelog ===
scikit-build-core (0.9.4-1) unstable; urgency=medium

  * New upstream version.

 -- Emmanuel Arias <eamanu@debian.org>  Wed, 29 May 2024 20:51:05 -0300

## scikit-build-core 0.10.3

=== debian/changelog ===
scikit-build-core (0.10.3-1) unstable; urgency=medium

  * New upstream version

 -- Emmanuel Arias <eamanu@debian.org>  Wed, 14 Aug 2024 18:46:11 -0300

scikit-build-core (0.10.1-1) unstable; urgency=medium

  * New upstream version.
  * d/rules: Ignore test_system_cmake test, it use pytest-subprocess that is
    not in Debian yet.
  * d/control: Remove redundant control relation ${python3:Depends}.
  * d/python3-scikit-build-core.examples: Add examples to /usr/share/doc/.

 -- Emmanuel Arias <eamanu@debian.org>  Fri, 09 Aug 2024 21:59:26 -0300

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: scikit-build-core
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Emmanuel Arias <eamanu@debian.org>
 Section: python
+Testsuite: autopkgtest-pkg-pybuild
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Emmanuel Arias <eamanu@debian.org>,
-Rules-Requires-Root: no
 Build-Depends: cmake <!nocheck>,
                debhelper-compat (= 13),
                dh-sequence-python3,
@@ -19,20 +19,19 @@
                python3-pytest <!nocheck>,
                python3-setuptools,
                python3-venv <!nocheck>,
-               python3-virtualenv <!nocheck>,
-Testsuite: autopkgtest-pkg-pybuild
+               python3-virtualenv <!nocheck>
 Standards-Version: 4.7.0
-Homepage: https://github.com/scikit-build/scikit-build-core
 Vcs-Browser: https://salsa.debian.org/python-team/packages/scikit-build-core
 Vcs-Git: https://salsa.debian.org/python-team/packages/scikit-build-core.git
+Homepage: https://github.com/scikit-build/scikit-build-core
+Rules-Requires-Root: no
 
 Package: python3-scikit-build-core
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${python3:Depends},
-         ${python3:Depends},
-         python3-pyproject-metadata (>= 0.5~),
+         python3-pyproject-metadata,
          python3-pathspec (>=0.10.1~)
 Description: Python package build systems and CMake integration (Python 3)
  Scikit-build-core is a ground-up rewrite of Scikit-build, a bridge between

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = scikit-build-core
export PYBUILD_SYSTEM = pyproject
export PYBUILD_TEST_ARGS = -k 'not network and not test_cmake_config and not test_get_requires and not test_prepare_metadata and not test_program_search and not test_setuptools_abi3 and not test_setuptools_pep517 and not test_pep517_sdist_hash and not test_system_cmake'

export http_proxy = 127.0.0.1
export https_proxy = 127.0.0.1

%:
	dh $@ --buildsystem pybuild

## scikit-build-core 0.10.5

=== debian/changelog ===
scikit-build-core (0.10.5-1) unstable; urgency=medium

  * New upstream version.

 -- Emmanuel Arias <eamanu@debian.org>  Thu, 29 Aug 2024 11:56:52 -0300

## scikit-build-core 0.10.7

=== tests/packages/abi3_pyproject_ext/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15...3.29)

project(
  ${SKBUILD_PROJECT_NAME}
  LANGUAGES C
  VERSION ${SKBUILD_PROJECT_VERSION})

find_package(
  Python
  COMPONENTS Interpreter Development.Module ${SKBUILD_SABI_COMPONENT}
  REQUIRED)

if(NOT "${SKBUILD_SABI_COMPONENT}" STREQUAL "")
  python_add_library(abi3_example MODULE abi3_example.c WITH_SOABI USE_SABI 3.7)
else()
  python_add_library(abi3_example MODULE abi3_example.c WITH_SOABI)
endif()

install(TARGETS abi3_example DESTINATION .)

=== docs/examples/getting_started/abi3/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15...3.26)
project(${SKBUILD_PROJECT_NAME} LANGUAGES C)

find_package(
  Python
  COMPONENTS Interpreter Development.SABIModule
  REQUIRED)

python_add_library(example MODULE example.c WITH_SOABI USE_SABI 3.7)

install(TARGETS example DESTINATION .)

=== docs/examples/getting_started/fortran/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.17.2...3.26)
+cmake_minimum_required(VERSION 3.17.2...3.29)
 project(${SKBUILD_PROJECT_NAME} LANGUAGES C Fortran)
 
 find_package(
@@ -25,8 +25,10 @@
   COMMAND "${Python_EXECUTABLE}" -m numpy.f2py
           "${CMAKE_CURRENT_SOURCE_DIR}/example.f" -m example --lower)
 
-python_add_library(example MODULE "${CMAKE_CURRENT_BINARY_DIR}/examplemodule.c"
-                   "${CMAKE_CURRENT_SOURCE_DIR}/example.f" WITH_SOABI)
+python_add_library(
+  example MODULE "${CMAKE_CURRENT_BINARY_DIR}/examplemodule.c"
+  "${CMAKE_CURRENT_BINARY_DIR}/example-f2pywrappers.f"
+  "${CMAKE_CURRENT_SOURCE_DIR}/example.f" WITH_SOABI)
 target_link_libraries(example PRIVATE fortranobject)
 
 install(TARGETS example DESTINATION .)

=== docs/examples/getting_started/pybind11/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15...3.26)
project(${SKBUILD_PROJECT_NAME} LANGUAGES CXX)

set(PYBIND11_NEWPYTHON ON)
find_package(pybind11 CONFIG REQUIRED)

pybind11_add_module(example example.cpp)

install(TARGETS example LIBRARY DESTINATION .)

=== debian/changelog ===
scikit-build-core (0.10.7-2) unstable; urgency=medium

  * Team upload.
  * debian/rules: Restore test_system_cmake test as pytest-subprocess
    is now available.
  * debian/control: Add missing build-dependency
    python3-pytest-subprocess <!nocheck>.

 -- Boyuan Yang <byang@debian.org>  Mon, 30 Sep 2024 18:48:43 -0400

scikit-build-core (0.10.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * debian/control: Add missing build-dependency:
      + python3-validate-pyproject <!nocheck>
      + python3-hatch-fancy-pypi-readme <!nocheck>
      + python3-setuptools-scm <!nocheck>

 -- Boyuan Yang <byang@debian.org>  Sun, 29 Sep 2024 23:03:02 -0400

=== debian/control ===
--- 
+++ 
@@ -12,14 +12,18 @@
                python3-all-dev,
                python3-cattr <!nocheck>,
                python3-fastjsonschema <!nocheck>,
+               python3-hatch-fancy-pypi-readme <!nocheck>,
                python3-hatch-vcs,
                python3-hatchling,
                python3-numpy <!nocheck>,
                python3-pyproject-metadata <!nocheck>,
                python3-pytest <!nocheck>,
+               python3-pytest-subprocess <!nocheck>,
                python3-setuptools,
+               python3-setuptools-scm <!nocheck>,
+               python3-validate-pyproject <!nocheck>,
                python3-venv <!nocheck>,
-               python3-virtualenv <!nocheck>
+               python3-virtualenv <!nocheck>,
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/scikit-build-core
 Vcs-Git: https://salsa.debian.org/python-team/packages/scikit-build-core.git

## scikit-build-core 0.11.1

=== docs/examples/getting_started/abi3/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,6 @@
   COMPONENTS Interpreter Development.SABIModule
   REQUIRED)
 
-python_add_library(example MODULE example.c WITH_SOABI USE_SABI 3.7)
+python_add_library(example MODULE example.c WITH_SOABI USE_SABI 3.8)
 
 install(TARGETS example DESTINATION .)

=== tests/packages/cython_pxd_editable/pkg1/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.15)
+cmake_minimum_required(VERSION 3.15...3.29)
 project(${SKBUILD_PROJECT_NAME} LANGUAGES C)
 
 find_package(
@@ -8,7 +8,7 @@
 
 add_custom_command(
   OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/src/pkg1/one.c"
-  DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/src/pkg1/one.pyx"
+  MAIN_DEPENDENCY "${CMAKE_CURRENT_SOURCE_DIR}/src/pkg1/one.pyx"
   VERBATIM
   COMMAND
     Python::Interpreter -m cython

=== tests/packages/hatchling/cpp/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15...3.29)
project(extensionlib_example_cmake LANGUAGES CXX)

set(PYBIND11_FINDPYTHON ON)
find_package(pybind11 CONFIG REQUIRED)

pybind11_add_module(_core MODULE example.cpp)
install(TARGETS _core DESTINATION .)

if(NOT DEFINED SKBUILD_HATCHLING)
  message(
    FATAL_ERROR "This project should be built using scikit-build & hatchling")
endif()

# Testing metadata
file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/metadata_file.txt" "Testing")
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/metadata_file.txt"
        DESTINATION "${SKBUILD_METADATA_DIR}/extra_metadata/")

# Testing scripts
file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/myscript"
     "#!/usr/bin/env python\nprint('Hello from myscript.py')")
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/myscript"
        DESTINATION "${SKBUILD_SCRIPTS_DIR}")

# Testing data
file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/data_file.txt" "Data")
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/data_file.txt"
        DESTINATION "${SKBUILD_DATA_DIR}")

=== debian/changelog ===
scikit-build-core (0.11.1-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * Add patch to remove Python 3.13 from the classifiers list in pyproject.toml
  * Update list of failing tests to avoid in d/rules
  * Update debian-branch in gbp.conf
  * Add explicit build-dep on python3-packaging from bookworm-backports

 -- Santiago Ruano Rincón <santiago@freexian.com>  Mon, 19 May 2025 19:14:28 -0300

scikit-build-core (0.11.1-2) unstable; urgency=medium

  * Team upload.
  * Filter "-no-wheel" deprecation warning from becoming errors
    (Closes: #1104528)

 -- Ananthu C V <weepingclown@debian.org>  Sun, 04 May 2025 14:35:26 +0530

scikit-build-core (0.11.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.

 -- Julian Gilbey <jdg@debian.org>  Tue, 01 Apr 2025 12:58:31 +0100

=== debian/control ===
--- 
+++ 
@@ -9,22 +9,24 @@
                dh-sequence-python3,
                pybind11-dev <!nocheck>,
                pybuild-plugin-pyproject,
-               python3-all-dev,
+               python3-all,
                python3-cattr <!nocheck>,
                python3-fastjsonschema <!nocheck>,
                python3-hatch-fancy-pypi-readme <!nocheck>,
                python3-hatch-vcs,
                python3-hatchling,
                python3-numpy <!nocheck>,
+               python3-packaging (>= 25.0-1~) <!nocheck>,
                python3-pyproject-metadata <!nocheck>,
                python3-pytest <!nocheck>,
                python3-pytest-subprocess <!nocheck>,
+               python3-pytest-xdist <!nocheck>,
                python3-setuptools,
                python3-setuptools-scm <!nocheck>,
                python3-validate-pyproject <!nocheck>,
                python3-venv <!nocheck>,
                python3-virtualenv <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/scikit-build-core
 Vcs-Git: https://salsa.debian.org/python-team/packages/scikit-build-core.git
 Homepage: https://github.com/scikit-build/scikit-build-core

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = scikit-build-core
export PYBUILD_SYSTEM = pyproject
export PYBUILD_TEST_ARGS = -k 'not network and not test_cmake_config and not test_get_requires and not test_prepare_metadata and not test_program_search and not test_setuptools_abi3 and not test_setuptools_pep517 and not test_pep517_sdist_hash and not test_pyproject_pep517 and not test_settings_overrides and not test_broken_fallback and not test_dynamic_metadata and not test_pyproject_abi3 and not test_pyproject_extra_dirs and not test_pyproject_pep660 and not test_pyproject_purelib and not test_schema and not test_simplest_c'

export PYBUILD_BEFORE_TEST=cp -r {dir}/pyproject.toml {build_dir}

export http_proxy = 127.0.0.1
export https_proxy = 127.0.0.1

%:
	dh $@ --buildsystem pybuild

## scikit-build-core 0.11.6

=== tests/packages/abi3_pyproject_ext/CMakeLists.txt ===
--- 
+++ 
@@ -10,8 +10,16 @@
   COMPONENTS Interpreter Development.Module ${SKBUILD_SABI_COMPONENT}
   REQUIRED)
 
-if(NOT "${SKBUILD_SABI_COMPONENT}" STREQUAL "")
-  python_add_library(abi3_example MODULE abi3_example.c WITH_SOABI USE_SABI 3.7)
+if(NOT "${SKBUILD_SABI_VERSION}" STREQUAL "")
+  python_add_library(abi3_example MODULE abi3_example.c WITH_SOABI USE_SABI
+                     ${SKBUILD_SABI_VERSION})
+
+  if(NOT SKBUILD_SABI_VERSION STREQUAL "3.8")
+    message(
+      FATAL_ERROR
+        "TEST FAILED: SKBUILD_SABI_VERSION (${SKBUILD_SABI_VERSION}) is not 3.8"
+    )
+  endif()
 else()
   python_add_library(abi3_example MODULE abi3_example.c WITH_SOABI)
 endif()

=== tests/packages/broken_fallback/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15...3.26)
project(${SKBUILD_PROJECT_NAME} LANGUAGES C)

if(DEFINED BROKEN_CMAKE)
  message(FATAL_ERROR "Broken CMake")
endif()

find_package(
  Python
  COMPONENTS Interpreter Development.Module
  REQUIRED)

python_add_library(example MODULE main.c WITH_SOABI)
if(DEFINED BROKEN_CODE)
  target_compile_definitions(example PRIVATE BROKEN_CODE)
endif()

install(TARGETS example DESTINATION .)

=== tests/packages/cmake_defines/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15)
project(cmake_defines LANGUAGES NONE)

set(ONE_LEVEL_LIST
    ""
    CACHE STRING "")
set(NESTED_LIST
    ""
    CACHE STRING "")

set(out_file "${CMAKE_CURRENT_BINARY_DIR}/log.txt")
file(WRITE "${out_file}" "")

foreach(list IN ITEMS ONE_LEVEL_LIST NESTED_LIST)
  list(LENGTH ${list} length)
  file(APPEND "${out_file}" "${list}.LENGTH = ${length}\n")
  foreach(item IN LISTS ${list})
    file(APPEND "${out_file}" "${item}\n")
  endforeach()
endforeach()

=== tests/packages/custom_cmake/CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
   VERSION 2.3.4)
 
 find_package(ExamplePkg REQUIRED)
-
+find_package(ExampleRoot REQUIRED)
 include(ExampleInclude)
 
 if(NOT EXAMPLE_INCLUDE_FOUND)

=== tests/packages/dynamic_metadata/CMakeLists.txt ===
--- 
+++ 
@@ -11,3 +11,5 @@
 python_add_library(_module MODULE src/module.c WITH_SOABI)
 
 install(TARGETS _module DESTINATION ${SKBUILD_PROJECT_NAME})
+install(
+  CODE "execute_process(COMMAND ${Python_EXECUTABLE} -V COMMAND_ECHO STDOUT)")

=== tests/packages/fortran_example/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.17.2...3.29)

project(
  fibby
  VERSION 1.0
  DESCRIPTION "FIB module"
  LANGUAGES C Fortran)

find_package(Python REQUIRED COMPONENTS Interpreter Development.Module NumPy)

# Grab the variables from a local Python installation F2PY headers
execute_process(
  COMMAND "${Python_EXECUTABLE}" -c
          "import numpy.f2py; print(numpy.f2py.get_include())"
  OUTPUT_VARIABLE F2PY_INCLUDE_DIR
  OUTPUT_STRIP_TRAILING_WHITESPACE)

# Generate the wrapper files
add_custom_command(
  OUTPUT fibbymodule.c fibby-f2pywrappers.f
  COMMAND Python::Interpreter -m numpy.f2py --lower
          "${CMAKE_CURRENT_SOURCE_DIR}/fib1.f" -m fibby
  COMMAND cmake -E touch fibby-f2pywrappers.f
  VERBATIM
  DEPENDS fib1.f)

python_add_library(
  fibby
  MODULE
  WITH_SOABI
  "${CMAKE_CURRENT_BINARY_DIR}/fibbymodule.c"
  "${CMAKE_CURRENT_BINARY_DIR}/fibby-f2pywrappers.f"
  "${F2PY_INCLUDE_DIR}/fortranobject.c"
  fib1.f)

target_include_directories(fibby PUBLIC ${F2PY_INCLUDE_DIR})
target_link_libraries(fibby PUBLIC Python::NumPy)

install(TARGETS fibby DESTINATION .)

=== tests/packages/importlib_editable/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15...3.26)
project(${SKBUILD_PROJECT_NAME} LANGUAGES C)

find_package(
  Python
  COMPONENTS Interpreter Development.Module
  REQUIRED)

python_add_library(emod MODULE emod.c WITH_SOABI)
install(TARGETS emod DESTINATION .)
install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/pmod.py" DESTINATION .)

add_subdirectory(pkg)

=== tests/packages/mixed_setuptools/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15...3.26)
project("${SKBUILD_PROJECT_NAME}" LANGUAGES CXX)

if(NOT EXAMPLE_DEFINE1 EQUAL 1)
  message(FATAL_ERROR "Example define 1 is not set")
endif()

if(NOT EXAMPLE_DEFINE2 EQUAL 2)
  message(FATAL_ERROR "Example define 2 is not set")
endif()

if(NOT EXAMPLE_DEFINE3 EQUAL 3)
  message(FATAL_ERROR "Example define 3 is not set")
endif()

if(NOT EXAMPLE_DEFINE4 EQUAL 4)
  message(FATAL_ERROR "Example define 4 is not set")
endif()

if(NOT EXAMPLE_DEFINE5 EQUAL 5)
  message(FATAL_ERROR "Example define 5 is not set")
endif()

find_package(pybind11 CONFIG REQUIRED)
pybind11_add_module(_core src/main.cpp)

install(TARGETS _core LIBRARY DESTINATION mixed_setuptools)

=== tests/packages/navigate_editable/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,7 @@
 set(CMakeVar "Some_value_C")
 configure_file(src/shared_pkg/data/generated.txt.in
                shared_pkg/data/c_generated.txt)
+configure_file(src/shared_pkg/data/generated.txt.in shared_pkg/data/.hidden)
 
 install(
   TARGETS c_module
@@ -19,3 +20,5 @@
   COMPONENT PythonModule)
 install(FILES ${PROJECT_BINARY_DIR}/shared_pkg/data/c_generated.txt
         DESTINATION shared_pkg/data/)
+install(FILES ${PROJECT_BINARY_DIR}/shared_pkg/data/.hidden
+        DESTINATION shared_pkg/data/)

=== tests/packages/sdist_config/CMakeLists.txt ===
--- 
+++ 
@@ -6,20 +6,20 @@
 
 include(FetchContent)
 
+set(PYBIND11_FINDPYTHON ON)
+
 if(NOT SKBUILD_STATE STREQUAL "sdist"
    AND EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/pybind11/CMakeLists.txt")
   message(STATUS "Using integrated pybind11")
-  set(FETCHCONTENT_FULLY_DISCONNECTED ON)
+  add_subdirectory(pybind11)
+else()
+  FetchContent_Declare(
+    pybind11
+    GIT_REPOSITORY https://github.com/pybind/pybind11.git
+    GIT_TAG v2.12.0
+    SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/pybind11)
+  FetchContent_MakeAvailable(pybind11)
 endif()
-
-FetchContent_Declare(
-  pybind11
-  GIT_REPOSITORY https://github.com/pybind/pybind11.git
-  GIT_TAG v2.11.1
-  SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/pybind11)
-
-set(PYBIND11_FINDPYTHON ON)
-FetchContent_MakeAvailable(pybind11)
 
 pybind11_add_module(sdist_config main.cpp)
 install(TARGETS sdist_config DESTINATION .)

=== tests/packages/simple_pure/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15...3.26)

project(simple_pure LANGUAGES CXX)

add_executable(simple_pure simple_pure.cpp)

target_compile_features(simple_pure PUBLIC cxx_std_11)

install(TARGETS simple_pure)

if(DEFINED SKBUILD)
  message(STATUS "SKBUILD is defined to ${SKBUILD}")
endif()

if(DEFINED SKBUILD2)
  message(STATUS "SKBUILD2 is defined to ${SKBUILD2}")
endif()

=== tests/packages/simple_pyproject_script_with_flags/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15...3.29)
project(
  "${SKBUILD_PROJECT_NAME}"
  LANGUAGES C
  VERSION "${SKBUILD_PROJECT_VERSION}")

add_executable(cmake_example src/main.c)
set_target_properties(cmake_example PROPERTIES POSITION_INDEPENDENT_CODE ON)
install(TARGETS cmake_example DESTINATION "${SKBUILD_SCRIPTS_DIR}")

=== debian/changelog ===
scikit-build-core (0.11.6-1) unstable; urgency=medium

  * New upstream version
  * d/patches/remove-no-wheel-usage.patch: Remove patch, it was
    already applied in upstream.

 -- Emmanuel Arias <eamanu@debian.org>  Fri, 26 Sep 2025 20:45:39 -0300

scikit-build-core (0.11.1-3) unstable; urgency=medium

  * Team upload.
  * Remove "--no-wheel" usage instead of suppressing warnings

 -- Ananthu C V <weepingclown@debian.org>  Wed, 07 May 2025 00:11:26 +0530

=== debian/control ===
Source: scikit-build-core
Standards-Version: 4.7.2
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Emmanuel Arias <eamanu@debian.org>,
Section: python
Testsuite: autopkgtest-pkg-pybuild
Priority: optional
Build-Depends:
 cmake <!nocheck>,
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybind11-dev <!nocheck>,
 pybuild-plugin-pyproject,
 python3-all,
 python3-cattr <!nocheck>,
 python3-fastjsonschema <!nocheck>,
 python3-hatch-fancy-pypi-readme <!nocheck>,
 python3-hatch-vcs,
 python3-hatchling,
 python3-numpy <!nocheck>,
 python3-pyproject-metadata <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-subprocess <!nocheck>,
 python3-pytest-xdist <!nocheck>,
 python3-setuptools,
 python3-setuptools-scm <!nocheck>,
 python3-validate-pyproject <!nocheck>,
 python3-venv <!nocheck>,
 python3-virtualenv <!nocheck>,
Vcs-Browser: https://salsa.debian.org/python-team/packages/scikit-build-core
Vcs-Git: https://salsa.debian.org/python-team/packages/scikit-build-core.git
Homepage: https://github.com/scikit-build/scikit-build-core
Rules-Requires-Root: no

Package: python3-scikit-build-core
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-pyproject-metadata,
 python3-pathspec,
Description: Python package build systems and CMake integration (Python 3)
 Scikit-build-core is a ground-up rewrite of Scikit-build, a bridge between
 Python package build systems and CMake.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = scikit-build-core
export PYBUILD_SYSTEM = pyproject
export PYBUILD_TEST_ARGS = -k 'not network and not test_cmake_config and not test_get_requires and not test_prepare_metadata and not test_program_search and not test_setuptools_abi3 and not test_setuptools_pep517 and not test_pep517_sdist_hash'

export http_proxy = 127.0.0.1
export https_proxy = 127.0.0.1

%:
	dh $@ --buildsystem pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
 https://github.com/scikit-build/scikit-build-core/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
